libkeymap 2.6.3 Library to manage the Linux keymaps

Data Fields
kmapinfo Struct Reference

General information about the keymap. More...

`#include <dump.h>`

## Data Fields
lk_flags | flags
lk_keywords | keywords
ssize_t | keymaps
ssize_t | keymaps_alloced
ssize_t | functions
ssize_t | composes
ssize_t | keymaps_total
ssize_t | functions_total
ssize_t | composes_total

## Detailed Description

General information about the keymap.

## Field Documentation

## ◆ flags

lk_flags flags

Parser flags that are set outside the library

## ◆ keywords

lk_keywords keywords

Keywords used in keymap files

## ◆ keymaps

ssize_t keymaps

Number of keymaps in actual use

## ◆ keymaps_alloced

ssize_t keymaps_alloced

Number of keymaps dynamically allocated

## ◆ functions

ssize_t functions

Number of function keys

## ◆ composes

ssize_t composes

Number of compose definitions in actual use

## ◆ keymaps_total

ssize_t keymaps_total

## ◆ functions_total

ssize_t functions_total

## ◆ composes_total

ssize_t composes_total

The documentation for this struct was generated from the following file:

- src/libkeymap/keymap/dump.h